/* vim: set syntax=objc: 
   Project: Test04

   Copyright (C) 2008 Free Software Foundation

   Author: Maurizio Tomasi,,,

   Created: 2008-08-18 05:52:56 +0200 by tomasi
   
   Application Controller

   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
 
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
 
   You should have received a copy of the GNU General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.
*/
 
#ifndef _PCAPPPROJ_APPCONTROLLER_H
#define _PCAPPPROJ_APPCONTROLLER_H

#include <AppKit/AppKit.h>

@interface AppController : NSObject
{
    NSTextField * sizeLabel;
    NSWindow * mainWindow;
}

+ (void)initialize;

- (id)init;
- (void)dealloc;

- (BOOL)applicationShouldTerminate:(id)sender;
- (void)applicationWillTerminate:(NSNotification *)aNotif;

- (NSSize) windowWillResize: (NSWindow *) sender
                     toSize: (NSSize) proposedFrameSize;
- (void) windowDidResize: (NSNotification *) aNotification;
@end

#endif
